Search for Food
Searches for food items based on a query string with pagination support and optional type filtering. Search results are grouped to reduce near-duplicates. For deep pagination, pagination.total_count, pagination.total_pages, and links.last should be treated as approximate navigation metadata. Prefer sequential navigation via links.next / links.previous instead of precomputing an exact final page. Nutrient units are fixed per nutrient. See unit reference: https://newtrition-data.com/data-reference/units/
Authorizations
Section titled “Authorizations”Parameters
Section titled “ Parameters ”Query Parameters
Section titled “Query Parameters”Search query for food name
Filter by food type (all, generic, branded). Default: all
Number of items per page (1-100, default: 10)
Number of items to skip (default: 0)
Page number (alternative to offset)
Header Parameters
Section titled “Header Parameters”Optional pseudonymous end-user context ID used for analytics and weighting. Defaults to client ID and must not contain personal data.
Responses
Section titled “ Responses ”Paginated list of matching food items
object
object
object
object
object
The output units are fixed per nutrient/output! See: https://newtrition-data.com/data-reference/units/
object
The output units are fixed per nutrient/output! See: https://newtrition-data.com/data-reference/units/
object
The output units are fixed per nutrient/output! See: https://newtrition-data.com/data-reference/units/
object
The output units are fixed per nutrient/output! See: https://newtrition-data.com/data-reference/units/
object
The output units are fixed per nutrient/output! See: https://newtrition-data.com/data-reference/units/
object
The output units are fixed per nutrient/output! See: https://newtrition-data.com/data-reference/units/
object
The output units are fixed per nutrient/output! See: https://newtrition-data.com/data-reference/units/
object
Can be null!
object
object
Example
{ "data": [ { "processed_variants": [ { "big7": { "carbohydrates": { "amount": 225.5, "label": "Proteine", "unit": "g" }, "energy": { "amount": 225.5, "label": "Proteine", "unit": "g" }, "fat": { "amount": 225.5, "label": "Proteine", "unit": "g" }, "protein": { "amount": 225.5, "label": "Proteine", "unit": "g" }, "salt": { "amount": 225.5, "label": "Proteine", "unit": "g" }, "saturated_fatty_acids": { "amount": 225.5, "label": "Proteine", "unit": "g" }, "sugar": { "amount": 225.5, "label": "Proteine", "unit": "g" } }, "processing": "raw" } ], "serving_sizes": [ { "amount": 120, "label": "Stück", "type": "piece", "unit": "g" } ], "standard_processing": "raw", "standard_serving_type": "package", "standard_unit": "g", "type": "generic_single_food" } ]}Headers
Section titled “Headers”Maximum requests per minute
Requests remaining in current window
Unix timestamp when rate limit resets
Requests used in current window
Missing query parameter, invalid pagination parameters, or invalid type filter
object
object
Examplegenerated
{ "error": { "code": "example", "details": "example", "message": "example" }}Unauthorized
object
object
Examplegenerated
{ "error": { "code": "example", "details": "example", "message": "example" }}Rate limit exceeded
object
object
Examplegenerated
{ "error": { "code": "example", "details": "example", "message": "example" }}Headers
Section titled “Headers”Maximum requests per minute
Requests remaining in current window
Unix timestamp when rate limit resets
Requests used in current window
Seconds to wait before retrying
Internal Server Error
object
object
Examplegenerated
{ "error": { "code": "example", "details": "example", "message": "example" }}